### Method

# Soup Cookie set_expires

#### Declaration [src]

    void
    soup_cookie_set_expires (
      SoupCookie* cookie,
      GDateTime* expires
    )

#### Description [src]

Sets `cookie`‘s expiration time to `expires`.

If `expires` is `NULL`, `cookie` will be a session cookie and will expire at the end of the client’s session.

(This sets the same property as `soup_cookie_set_max_age()`.).

#### Parameters

`expires`

  Type: `GDateTime`

  The new expiration time, or `NULL`.

  The data is owned by the caller of the method.